sc::LimitExceeded< T >(3)

NAME
sc::LimitExceeded< T > -

This is thrown when a limit is exceeded.

SYNOPSIS

#include <scexception.h>

Inherits sc::SCException.

  Public Member Functions
LimitExceeded (const char *description, const char *file, int line, T lim, T val, const ClassDesc *class_desc=0, const char *exception_type='LimitExceeded') throw ()
LimitExceeded (const LimitExceeded &ref) throw ()
T tolerance () throw ()
T value () throw ()

Detailed Description

  template<class T>class sc::LimitExceeded< T >
This is thrown when a limit is exceeded. It is more general than ToleranceExceeded. For problems that are numerical in nature and use double types, then ToleranceExceeded should be used instead.

Author

Generated automatically by Doxygen for MPQC from the source code.